Subject: Re: bug#1212: 23.0.60; split-string-and-unquote problems

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Oct 2008 15:36:52 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 21 Oct 2008 15:24:11 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> X-Spam-Status: No, score=-1.7 required=5.0 tests=AWL,BAYES_00,
> >> 	DNS_FROM_SECURITYSAGE autolearn=no version=3.1.0
> >> From: Andreas Schwab <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> Date: Tue, 21 Oct 2008 14:50:30 +0200
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > The answer to that specific question is completely irrelevant to the
> >> > problem I reported in the original bug report.  You need to consider
> >> > all the examples and questions together.
> >> 
> >> It makes half of your examples useless.
> >
> > I made a lot of trials out of sheer despair.  The examples were
> > supposed to demonstrate that nothing worked.
> 
> Of course, if there is nothing to split.  What's your point?

The point is that the function says it also _unquotes_.  It's the
unquoting that didn't work for me in the cases I described in the bug
report.  Adding more text just so it could split doesn't change the
problematic behavior, but would clutter the bug report with irrelevant
details.